# __gnu_profile::__trace_vector_size Class Reference

Hashtable size instrumentation trace producer. More...

Inheritance diagram for __gnu_profile::__trace_vector_size:
[legend]

List of all members.

## Public Member Functions

- void __add_object (__object_t object, __container_size_info__info)
- void __collect_warnings (__warning_vector_t &__warnings)
- void __construct (const void *__obj, size_t __inum)
- void __destruct (const void *__obj, size_t __num, size_t __inum)
- __container_size_info * __get_object_info (__object_t __object)
- void __insert (const __object_t __obj, __stack_t __stack, size_t __num)
- void __resize (const void *__obj, int __from, int __to)
- void __retire_object (__object_t __object)
- void __write (FILE *f)

## Protected Attributes

- const char * __id

## Detailed Description

Hashtable size instrumentation trace producer.

Definition at line 59 of file profiler_vector_size.h.

The documentation for this class was generated from the following file:

- profiler_vector_size.h